Subject: bug#42713: closed (bug#42713: srfi-64 : Reset test-runner-current if done)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Aug 2020 16:09:01 +0000

Your bug report

#42713: srfi-64 : Reset test-runner-current if done

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42713: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42713
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#42713: srfi-64 : Reset test-runner-current if done
From: lloda <[email-masked]>
To: [email-masked], Jeremy Korwin-Zmijowski <[email-masked]>
Date: Wed, 5 Aug 2020 18:08:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Patched in http://git.savannah.gnu.org/gitweb/?p=guile.git;a=commit;h=de5d1a7f99b8e952b115237ebc29633062f99bb9.

Thanks for the report!

Regards

	Daniel

Subject: srfi-64 : Reset test-runner-current if done
From: Jérémy Korwin-Zmijowski <[email-masked]>
To: [email-masked]
Date: Wed, 05 Aug 2020 10:36:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello !

Some time ago, I reported a bug to Per Bothner about srfi-64. The
runner was not reset so the report was incrementing each time I ran the
tests in a REPL session.

Per commited a fix. I thought it could be applied to Guile's module. 

Here is the link to the details : 

https://github.com/scheme-requests-for-implementation/srfi-64/commit/7cf4c010398850b45f5a6939bb73f747605a0513

Kind regards,

Jérémy